      program standard_deviation
c------------------------------------------------------
c
c     RUN THE PROGRAM:  
c     stdev  inputfile
c
c------------------------------------------------------
      use datos, only : faterr, arg, larg, marg, stdin
      implicit none
      integer :: leng, nios
      character*1 :: null
      logical :: getopt, lflg(1), lopt(1)
      character*1 :: optarg(1)

c
      null = char(0)
      lflg(1) = .false.
      lopt(1) = .false.
      optarg(1) = null
c
c-----parse command line
c
      if (.not. getopt(arg, larg, marg, null, lflg, 0,
     &                 null, lopt, 0, optarg)) then
        call error ('standard_deviation', 'run program as: stdev'
     &            //' inputfile', faterr)
      endif
c
c-----read & interpret input file:
c
       if (larg(1)) then
         open (stdin, file=arg(1)(1:leng(arg(1))), status='old',
     &         action='read', iostat=nios)
         if (nios.ne.0) then
           call error ('standard_deviation', 'error while opening '//
     &                  arg(1)(1:leng(arg(1))), faterr)
         endif
         call shellvar 
         close (stdin)
       else
         call error ('standard_deviation', 'run program as: stdev' 
     &             //' inputfile', faterr)
       endif
c
c-----end of the program
c
      end
